org.apache.mina.integration.beans

## Class ByteEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.apache.mina.integration.beans.AbstractPropertyEditor
    - - org.apache.mina.integration.beans.NumberEditor
      - - org.apache.mina.integration.beans.ByteEditor

- All Implemented Interfaces:
    PropertyEditor

      public class ByteEditor
      extends NumberEditor

  A `PropertyEditor` which converts a `String` into an `Byte` and vice versa.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteEditor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `defaultValue()`
    `protected Object` | `toValue(String text, int radix)`

    - ### Methods inherited from class org.apache.mina.integration.beans.NumberEditor

      `toText, toValue`

    - ### Methods inherited from class org.apache.mina.integration.beans.AbstractPropertyEditor

      `defaultText, getAsText, getValue, setAsText, setTrimText, setValue`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteEditor

          public ByteEditor()

  - ### Method Detail

    - #### toValue

          protected Object toValue(String text,
                       int radix)

      Overrides:
        `toValue` in class `NumberEditor`

    - #### defaultValue

          protected Object defaultValue()

      Overrides:
        `defaultValue` in class `NumberEditor`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.